import { Method } from 'axios';
export declare class BotonicAPIService {
    clientId: string;
    clientSecret: string;
    baseUrl: string;
    baseApiUrl: string;
    loginUrl: string;
    botPath: string;
    botCredentialsPath: string;
    globalConfigPath: string;
    globalCredentialsPath: string;
    oauth: any;
    me: any;
    analytics: any;
    lastBuildHash: any;
    bot: any;
    headers: Record<string, string> | null;
    constructor();
    beforeExit(): void;
    loadGlobalCredentials(): void;
    loadBotCredentials(): void;
    checkGlobalCredentialsPath(): void;
    saveGlobalCredentials(): void;
    saveBotCredentials(): void;
    getCurrentBuildHash(): Promise<any>;
    build(npmCommand?: string): Promise<boolean>;
    buildIfChanged(force: boolean, npmCommand?: string): Promise<boolean>;
    setCurrentBot(bot: any): void;
    logout(): void;
    api(path: string, body?: any, method?: Method, headers?: any | null, params?: any): Promise<any>;
    refreshToken(): Promise<any>;
    login(email: any, password: any): Promise<any>;
    signup(email: string, password: string, org_name: string, campaign: any): Promise<any>;
    saveBot(bot_name: string): Promise<any>;
    getMe(): Promise<any>;
    getBots(): Promise<any>;
    getMoreBots(bots: any, nextBots: any): any;
    getProviders(): Promise<any>;
    deployBot(bundlePath: string, forceDeploy: boolean): Promise<any>;
    deployStatus(deploy_id: string): Promise<any>;
    getHeaders(form: any): Promise<Record<string, any>>;
}
