import { Command, flags } from '@oclif/command';
export default class Run extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        command: flags.IOptionFlag<string | undefined>;
        email: flags.IOptionFlag<string | undefined>;
        password: flags.IOptionFlag<string | undefined>;
        botName: flags.IOptionFlag<string | undefined>;
    };
    static args: {
        name: string;
    }[];
    private botonicApiService;
    private botName;
    run(): Promise<void>;
    deployBotFromFlag(botName: string): Promise<void>;
    signupFlow(): Promise<void>;
    askEmailPassword(): Promise<{
        email: string;
        password: string;
    }>;
    askLogin(): Promise<void>;
    askSignup(): Promise<void>;
    deployBotFlow(): Promise<void>;
    login(email: string, password: string): Promise<void>;
    signup(email: string, password: string): Promise<void>;
    newBotFlow(): Promise<void>;
    createNewBot(): Promise<void>;
    selectExistentBot(bots: any[]): Promise<void>;
    displayProviders(providers: any): void;
    createBundle(): Promise<void>;
    deployBundle(): Promise<void>;
    displayDeployResults(): Promise<void>;
    deploy(): Promise<void>;
}
