"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const path_1 = require("path");
const botonic_api_service_1 = require("../botonic-api-service");
const utils_1 = require("../utils");
class Run extends command_1.Command {
    constructor() {
        super(...arguments);
        this.botonicApiService = new botonic_api_service_1.BotonicAPIService();
    }
    run() {
        utils_1.track('Logged Out Botonic CLI');
        const { flags } = this.parse(Run);
        const _path = flags.path ? path_1.resolve(flags.path) : process.cwd();
        this.botonicApiService.logout();
        console.log('You have been log out!');
        return Promise.resolve();
    }
}
exports.default = Run;
Run.description = 'Log out of Botonic';
Run.examples = [];
Run.flags = {
    path: command_1.flags.string({
        char: 'p',
        description: 'Path to botonic project. Defaults to current dir.',
    }),
};
Run.args = [];
//# sourceMappingURL=logout.js.map