"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const child_process_1 = require("child_process");
const colors_1 = tslib_1.__importDefault(require("colors"));
const utils_1 = require("../utils");
class Run extends command_1.Command {
    run() {
        utils_1.track('botonic test');
        this.parse(Run);
        child_process_1.exec('npm run test', (error, _stdout, stderr) => {
            console.log(colors_1.default.blue('\n Executing tests...\n'));
            if (error) {
                console.error(colors_1.default.red(`${String(error)}`));
                return;
            }
            console.log(colors_1.default.green(`${stderr}`));
        });
        return Promise.resolve();
    }
}
exports.default = Run;
Run.description = 'Test your Botonic components';
Run.examples = [
    `PASS  tests/app.test.js
  ✓ TEST: hi.js (10ms)
  ✓ TEST: pizza.js (1ms)
  ✓ TEST: sausage.js (1ms)
  ✓ TEST: bacon.js
  ✓ TEST: pasta.js (1ms)
  ✓ TEST: cheese.js (1ms)
  ✓ TEST: tomato.js

Test Suites: 1 passed, 1 total
Tests:       7 passed, 7 total
Snapshots:   0 total
Time:        1.223s
Ran all test suites.`,
];
Run.flags = {};
Run.args = [];
//# sourceMappingURL=test.js.map