"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const colors_1 = tslib_1.__importDefault(require("colors"));
const path = tslib_1.__importStar(require("path"));
const utils_1 = require("../utils");
class Run extends command_1.Command {
    async run() {
        const botonicNLUPath = path.join(process.cwd(), 'node_modules', '@botonic', 'nlu');
        try {
            await Promise.resolve().then(() => tslib_1.__importStar(require(botonicNLUPath)));
        }
        catch (e) {
            console.log(colors_1.default.red(`You don't have @botonic/plugin-nlu installed.\nPlease, install it with the following command:`));
            console.log(`$ npm install @botonic/plugin-nlu`);
            return;
        }
        utils_1.track('Trained with Botonic train');
        utils_1.spawnNpmScript('train', () => 'Finished training');
    }
}
exports.default = Run;
Run.description = 'Serve your bot in your localhost';
Run.examples = [
    `$ botonic train
    TRAINING MODEL FOR {LANGUAGE}...
    `,
];
Run.flags = {
    lang: command_1.flags.string(),
};
Run.args = [];
//# sourceMappingURL=train.js.map